﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using Ext.Net;

namespace ExtNetMvcTest.Controllers
{
    [HandleError]
    public class HomeController : Controller
    {
        public ActionResult Index()
        {
            return View();
        }

        public ActionResult Partial(string containerId)
        {
            Ext.Net.MVC.PartialViewResult pr = new Ext.Net.MVC.PartialViewResult(containerId);
            pr.RenderMode = RenderMode.AddTo;
            pr.SingleControl = true;
            pr.WrapByScriptTag = true;
            pr.IDMode = IDMode.Legacy;
            pr.ViewName = "ViewUserControl1";
            return pr;
        }
    }
}
